#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: concurrent-output
version: 1.10.0
id: concurrent-output-1.10.0-298GjYjFOLpEeevku1xcLx
key: concurrent-output-1.10.0-298GjYjFOLpEeevku1xcLx
license: BSD2
copyright: 2015-2017 Joey Hess, 2009 Joachim Breitner
maintainer: Joey Hess <id@joeyh.name>
stability: Stable
synopsis: Ungarble output from several threads or commands
description:
    Lets multiple threads and external processes concurrently output to the
    console, without it getting all garbled up.
    .
    Built on top of that is a way of defining multiple output regions,
    which are automatically laid out on the screen and can be individually
    updated by concurrent threads. Can be used for progress displays etc.
    .
    <<https://joeyh.name/code/concurrent-output/demo2.gif>>
category: User Interfaces
author: Joey Hess, Joachim Breitner
exposed: True
indefinite: False
exposed-modules:
    System.Console.Concurrent System.Console.Concurrent.Internal
    System.Console.Regions System.Process.Concurrent
hidden-modules: Utility.Monad Utility.Data Utility.Exception
abi: 4f599ec249f4a795abde19fb91e5740c
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/concurrent-output-1.10.0
library-dirs: /usr/lib/ghc-8.2.1/site-local/concurrent-output-1.10.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/concurrent-output-1.10.0
hs-libraries: HSconcurrent-output-1.10.0-298GjYjFOLpEeevku1xcLx
depends:
    base-4.10.0.0 text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz
    async-2.1.1.1-2NW8RVpRWiC9M88FM7mCHc
    stm-2.4.4.1-4JDnVtQYo787gU0ccBstsJ process-1.6.1.0
    directory-1.3.0.2 transformers-0.5.2.0
    exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6
    ansi-terminal-0.6.3.1-BIEgiaci8VQ7yyITu4jhfU
    terminal-size-0.3.2.1-3horyWZYbrD9bXg7iXYoCW unix-2.7.2.2
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz=b7786dac6fdbd4e62fbcd8f2e5703783
             async-2.1.1.1-2NW8RVpRWiC9M88FM7mCHc=12ffabdf3957a0bddb91126c0d755daa
             stm-2.4.4.1-4JDnVtQYo787gU0ccBstsJ=a88f5bbac4be96a38c5ca2a658c158a0
             process-1.6.1.0=c0ee388768c3dd5e8b2d80490997add7
             directory-1.3.0.2=cfeb01f7201df723a8082d0da3163aee
             transformers-0.5.2.0=c9bb94e07e5a6cae97f4e7452aafbf8b
             exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6=e190029673d5410544b32623a0e81f5f
             ansi-terminal-0.6.3.1-BIEgiaci8VQ7yyITu4jhfU=8d42c7012ae6bb1dfca5905fe8a25762
             terminal-size-0.3.2.1-3horyWZYbrD9bXg7iXYoCW=8dc64bade0ea85d816efdeaa72b05d60
             unix-2.7.2.2=53184c24da5ad45126d145b2febba63d
haddock-interfaces: /usr/share/doc/haskell-concurrent-output/html/concurrent-output.haddock
haddock-html: /usr/share/doc/haskell-concurrent-output/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

